--- title: "getCloudHadoopMysqlUserList" slug: "analytics-vhadoop-getcloudhadoopmysqluserlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopmysqluserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopMysqlUserList Available in VPC Get user information for Cloud DB for MySQL that can be integrated with a Hive metastore. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopMysqlUserList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `cloudMysqlInstanceNo` | String | Required | Cloud DB for MySQL instance number - See [getCloudHadoopMysqlInstanceList](/docs/en/analytics-vhadoop-getcloudhadoopmysqlinstancelist). - Only users with DDL permissions can query. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopMysqlUserList ?regionCode=KR &cloudMysqlInstanceNo=18***** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `CloudMysqlUserListForHiveMetaStoreResponse` | Object | - | Response result | | `CloudMysqlUserListForHiveMetaStoreResponse.totalRows` | Integer | - | Number of response results | | `CloudMysqlUserListForHiveMetaStoreResponse.CloudMysqlUserListForHiveMetaStore` | Array | - | [Cloud DB for MySQL user information](/docs/en/analytics-vhadoop-getcloudhadoopmysqluserlist#CloudMysqlUserListForHiveMetaStore) | | `CloudMysqlUserListForHiveMetaStoreResponse.requestId` | String | - | ID for the request - UUID format | | `CloudMysqlUserListForHiveMetaStoreResponse.returnCode` | String | - | Response code | #### `CloudMysqlUserListForHiveMetaStore` The following describes `CloudMysqlUserListForHiveMetaStore`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `userName` | String | - | Database user ID | | `hostIp` | String | - | Access host IP | | `authority` | String | - | Database permissions | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "CloudMysqlUserListForHiveMetaStoreResponse": { "totalRows": 1, "cloudMysqlUserListForHiveMetaStore": [ { "userName": "test", "hostIp": "%", "authority": "DDL" } ], "requestId": "678dc377-****-****-****-492dbf9529fc", "returnCode": "0" } } ```